## GstGLUploadMeta GstGLUploadMeta — an object that provides GstVideoGLTextureUploadMeta |

## Functions

GstGLUploadMeta * | gst_gl_upload_meta_new ()
void | gst_gl_upload_meta_set_format ()
GstVideoInfo * | gst_gl_upload_meta_get_format ()
gboolean | gst_gl_upload_meta_add_to_buffer ()

## Types and Values

| GstGLUploadMeta

## Description

GstGLUploadMeta is an object that uploads data from system memory into GL textures.

A GstGLUpload can be created with `gst_gl_upload_new()`

## Functions

### gst_gl_upload_meta_new ()

    GstGLUploadMeta *
    gst_gl_upload_meta_new (GstGLContext *context);

#### Parameters

context | a GstGLContext |

#### Returns

a new GstGLUploadMeta object

### gst_gl_upload_meta_set_format ()

    void
    gst_gl_upload_meta_set_format (GstGLUploadMeta *upload,
                                   GstVideoInfo *info);

Initializes `upload` with the information required for upload.

#### Parameters

upload | a GstGLUpload |
info | input GstVideoInfo |

### gst_gl_upload_meta_get_format ()

    GstVideoInfo *
    gst_gl_upload_meta_get_format (GstGLUploadMeta *upload);

#### Parameters

upload | a GstGLUpload |

#### Returns

The GstVideoInfo set by `gst_gl_upload_meta_set_format()`.

[transfer none]

### gst_gl_upload_meta_add_to_buffer ()

    gboolean
    gst_gl_upload_meta_add_to_buffer (GstGLUploadMeta *upload,
                                      GstBuffer *buffer);

Adds a GstVideoGLTextureUploadMeta on `buffer` using `upload`

#### Parameters

upload | a GstGLUploadMeta |
buffer | a GstBuffer |

#### Returns

whether it was successful

## Types and Values

### GstGLUploadMeta

    typedef struct {
    } GstGLUploadMeta;

Opaque GstGLUploadMeta object

## See Also

GstGLUpload, GstGLMemory